ru.bitel.bgbilling.modules.gazprombank.server.bean

## Class TransactionManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
        - - ru.bitel.bgbilling.modules.gazprombank.server.bean.TransactionManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TransactionManager
      extends AbstractTransactionManager<Transaction>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `fields`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAutopayment(int contractId, java.lang.String contractTitle, java.math.BigDecimal sum, Autopayment autopayment)`
    `void` | `doCheckRequest(int contractId, java.lang.String clientIpAddr)`
    `static java.lang.String` | `doRequest(java.lang.String requestParam, ParameterMap moduleSetup)`
    `protected Transaction` | `getFromRS(java.sql.ResultSet rs)`
    `protected int` | `psStatus(java.sql.PreparedStatement ps, java.lang.String status, int index)`
    `protected void` | `queryStatus(java.lang.StringBuilder query, java.lang.String status)`
    `Transaction` | `registerOrder(int contractId, java.lang.String contractTitle, java.math.BigDecimal sum, java.util.Map<java.lang.String,java.lang.Object> dataMap, boolean autopaymentTransaction, boolean requestBindingId)`
    `protected void` | `updateImpl(Transaction transaction)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `doConnection, doConnection, getParameter, searchTransaction, searchTransaction, setConnectionTimeout, setParameter`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          public java.util.Map<java.lang.String,java.lang.String> fields

  - ### Constructor Detail

    - #### TransactionManager

          public TransactionManager(java.sql.Connection con,
                                    int moduleId)

  - ### Method Detail

    - #### queryStatus

          protected void queryStatus(java.lang.StringBuilder query,
                                     java.lang.String status)

      Overrides:
        `queryStatus` in class `AbstractTransactionManager<Transaction>`

    - #### psStatus

          protected int psStatus(java.sql.PreparedStatement ps,
                                 java.lang.String status,
                                 int index)
                          throws java.sql.SQLException

      Overrides:
        `psStatus` in class `AbstractTransactionManager<Transaction>`
      Throws:
        `java.sql.SQLException`

    - #### getFromRS

          protected Transaction getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Transaction transaction)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doCheckRequest

          public void doCheckRequest(int contractId,
                                     java.lang.String clientIpAddr)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### registerOrder

          public Transaction registerOrder(int contractId,
                                           java.lang.String contractTitle,
                                           java.math.BigDecimal sum,
                                           java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                           boolean autopaymentTransaction,
                                           boolean requestBindingId)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doAutopayment

          public void doAutopayment(int contractId,
                                    java.lang.String contractTitle,
                                    java.math.BigDecimal sum,
                                    Autopayment autopayment)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doRequest

          public static java.lang.String doRequest(java.lang.String requestParam,
                                                   ParameterMap moduleSetup)
                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`